summaryrefslogtreecommitdiffstats
path: root/meta/recipes-qt
Commit message (Collapse)AuthorAgeFilesLines
* qt4: allow a reduction in build timeAnders Darander2011-08-191-6/+7
| | | | | | | | | | | | | | | When reducing build time by adding QT_DISTRO_FLAGS from the set '-no-gui -nomake tools -nomake examples -nomake demos -nomake docs', build failure can occur, due to not building all tools. * Make rm not error out when removing one of the, possibly, non-existing tools. * Only try to rename qtdemo, if qtdemo exists. * Check if the phrasebook path exists, and only then call do_split_packages() (From OE-Core rev: 51ef8335df895603e75345a18aaefe2359b2387f) Signed-off-by: Anders Darander <anders@chargestorm.se> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4.inc: expand the package name for multilib caseYu Ke2011-08-151-2/+2
| | | | | | | | | | | | | | | | | | in the qt4.inc python annomyous code, there is case where package name is set to "${QT_BASE_LIB}-tool", and FILE_${QT_BASE_LIB}-tool is set to xxx. here QT_BASE_NAME=qt4. multilib.bbclass will try to rename the FILE_qt4_tool to FILE_lib64_qt4_tool. unfortunately, there is only FILE_${QT_BASE}-tool, no FILE_qt4-tool, so FILE_lib64_qt4_tool will not be defined. to fix this issue, this patch expand the QT_BASE_LIB when assigning the package name. FIX [YOCTO #1344] (From OE-Core rev: b5d381133660fe338796b965131cee39cec01b96) Signed-off-by: Yu Ke <ke.yu@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4.inc: revise RRECOMMENDSYu Ke2011-08-151-2/+2
| | | | | | | | | | | | using ${QT_BASE_NAME}-dbg as RRECOMMENDS is not correct in qt4-x11-free case, because ${QT_BASE_NAME}-dbg i.e. qt4-dbg does not exist this patch fix it by using ${PN} (From OE-Core rev: d72adf3c4cf3de09d2a0bc6d1b9e7c9fd127bd60) Signed-off-by: Yu Ke <ke.yu@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: delete unpackaged uic3 to avoid unpackaged file warningPaul Eggleton2011-08-151-0/+1
| | | | | | | | | | All the other utilities get deleted as they should not be packaged, delete this one as well. (From OE-Core rev: 2c036c71cf0d978fac2ddc4abfb702d42af6bcda) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: package QML plugins and correct their install directoryPaul Eggleton2011-08-153-5/+13
| | | | | | | | | | | | | | | | | | QML components from Qt were installed to ${prefix} before and never got packaged. This is now fixed and QML components are now installed into ${libdir}/${QT_DIR_NAME}/imports and packaged into qt4-*-qml-plugins package. Additionally qmlviewer and the examples/demos are now dependent upon these plugins as needed. Originally based on OE commit 4adf97be8c5b5f71ad92095a19968af534baa9e2 by Simon Busch <morphis@gravedo.de> (From OE-Core rev: 49c43e2bea64f70a22a2741ea280bd1c13e5110a) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4-native: restore build of uic3, qdbuscpp2xml and qdbusxml2cppPaul Eggleton2011-08-151-1/+4
| | | | | | | | | | | These tools are required to build some external utilities (such as those found in KDE). We avoid building qdbus and qdbusviewer as these are not required. (From OE-Core rev: 11f456f4f5c1d4b2aad93856ff6cbb4d7ce3969e) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: replace qt4-tools-native with qt4-nativePaul Eggleton2011-08-152-7/+15
| | | | | | | | | | | | | Installs native versions of the Qt libraries in addition to the tools, allowing compilation of external native tools that require Qt libs. PROVIDES qt4-tools-native so it should be a drop-in replacement. Developed with reference to the corresponding qt4-native changes in OE. (From OE-Core rev: a6fd9b8104e8d3cbfce0376811aeeef746ad6889) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* meta: Rename SITEINFO_ENDIANESS to SITEINFO_ENDIANNESSKhem Raj2011-07-263-4/+4
| | | | | | | | | | | | | There is this discrepency in spelling. Lets fix it in core. There are lot of layers using SITEINFO_ENDIANNESS This was shielded since meta-oe had its own copy of siteinfo class. But that class has now been deleted in favor of oe-core (From OE-Core rev: 54a54778fad39931ac7d43daaf37ce7c1946a29b) Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Patches: Fix Upstream-Status infoSaul Wold2011-07-131-1/+2
| | | | | | | (From OE-Core rev: f2a5b2d143fff8337d2f0d024bc593c55f56a3a3) Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libQtOpenGL:Add libQtOpenGL to an lsb imageXiaofeng Yan2011-07-071-1/+1
| | | | | | | | | | I make "opengl" as a DISTO_FEATURE for installing libQtOpenGL to image. Fix Bug [YOCTO #1020] (From OE-Core rev: f478f90821f5b6a5e5d5dd53708de008bc607a11) Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: Package debug source filesRichard Purdie2011-07-071-1/+3
| | | | | | (From OE-Core rev: 0086e2e7f776b71378eb9cb69c0e59db4a5ffea7) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: ensure target packages don't include host binariesPaul Eggleton2011-07-053-10/+9
| | | | | | | | | | | | | | | | | | | | | | | | | | | Remove uic, rcc, moc and lrelease from packaged files. This fixes the following QA warnings: qt4-x11-free-4.7.3, wrong architecture, qt4-tools-dbg, ${WORKDIR}/packages-split/qt4-tools-dbg/usr/bin/.debug/uic qt4-x11-free-4.7.3, wrong architecture, qt4-tools-dbg, ${WORKDIR}/packages-split/qt4-tools-dbg/usr/bin/.debug/rcc qt4-x11-free-4.7.3, wrong architecture, qt4-tools-dbg, ${WORKDIR}/packages-split/qt4-tools-dbg/usr/bin/.debug/moc qt4-x11-free-4.7.3, wrong architecture, qt4-tools, ${WORKDIR}/packages-split/qt4-tools/usr/bin/uic qt4-x11-free-4.7.3, wrong architecture, qt4-tools, ${WORKDIR}/packages-split/qt4-tools/usr/bin/rcc qt4-x11-free-4.7.3, wrong architecture, qt4-tools, ${WORKDIR}/packages-split/qt4-tools/usr/bin/moc qt4-x11-free-4.7.3, wrong architecture, qt4-linguist, ${WORKDIR}/packages-split/qt4-linguist/usr/bin/lrelease These utilities are all provided by qt4-tools-nativesdk in any case. (From OE-Core rev: 69eeb3d2276e5b10d084b47d308ecfc8daf8b467) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Drop PRIORITY variableRichard Purdie2011-07-014-4/+0
| | | | | | | | | | | | | | | | As discussed on the mailing list, this variable isn't useful and if wanted would be better implemented by distros using pn-X overrides. This patch executes: find . -regex ".*\.\(bb\|inc\)$" | xargs sed -i '/^PRIORITY = ".*"$/d' against the tree removing the referenced. Thanks to Phil Blundell for the command. (From OE-Core rev: d122343362669c683acc4af295971a62cbc823fc) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4-tools-nativesdk: fix compile failure in src/dbusPaul Eggleton2011-06-222-0/+22
| | | | | | | | | | | | | | | | | | | | [Qt #17962] -- http://bugreports.qt.nokia.com/browse/QTBUG-17962 [YOCTO #1168] -- http://bugzilla.pokylinux.org/show_bug.cgi?id=1168 Fix "invalid conversion from 'const void*' to 'void*'" error compiling src/dbus/qdbusintegrator.cpp. It is assumed that the use of "const" here is incorrect as no other usage of Q_GLOBAL_STATIC_WITH_ARGS uses const prefix on the first (TYPE) argument. Patch was imported from the Qt bug tracker (see above reference); the patch was rejected but for procedural rather than validity reasons. Fixes [YOCTO #1168] (From OE-Core rev: 17d5422460bf9074223475b15d128171d12b170a) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4-tools-nativesdk: drop freetype include as we build with -no-freetypePaul Eggleton2011-06-221-1/+0
| | | | | | | | | | | | | Freetype support is disabled so there's no need to point to the freetype headers. Prompted by OE commit 4931b37c8faf1eef7322cc82bf979885c770f4e0 from Dmitry Eremin-Solenikov <dbaryshkov@gmail.com> (From OE-Core rev: bc5647504268ec4ef8a20dd1a6f9bdf7e6849ba7) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4-tools-nativesdk: fix unpack failure due to missing g++.confPaul Eggleton2011-06-221-2/+3
| | | | | | | | | | | | | | FILESPATHPKG was being used to in order to bring in linux.conf and g++.conf in this recipe, however this probably never worked since FILESPATHPKG always has the MACHINE appended to it and these are not machine-specific files. The only reason it built was that these two files could be found within the "files" subdir until we removed Qt 4.6.3. Using FILESEXTRAPATHS (as qt4-tools-native does) solves this. (From OE-Core rev: 49102f3728425cacfaeb384491b9355bfa2a4230) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* task-sdk-host: Add nativesdk to the task name so its clearer what the ↵Richard Purdie2011-06-132-2/+2
| | | | | | | | | contents of the task represent This is particularly important since the file doens't use BBCLASSEXTEND and PN is therefore misleading Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qmmp: update to 0.5.1Saul Wold2011-06-011-2/+3
| | | | | | | (From OE-Core rev: 6aab83579516f6be272f41f0f5740bdbefdb67be) Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4-tools-native: Fix the patch locationSaul Wold2011-05-191-2/+2
| | | | | | | (From OE-Core rev: f9e51f78dbc5e600003cc563904a308df0d9bd7b) Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: re-enable two 4.6.x patches in 4.7.3Paul Eggleton2011-05-183-2/+4
| | | | | | | | | | | | | | Two patches that were being applied in 4.6.x are now applied for 4.7.3. The functions of these two patches are: * Add support for 2bpp (only affects qt4-embedded) * Use correct infix on QtUiTools library (only affects qt4-embedded as qt4-x11-free does not define an infix) (From OE-Core rev: 1eb0207a7ae8cbc31ecde313a020ed4f12f70dd8) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: add comments and Upstream-Status to all patchesPaul Eggleton2011-05-1812-3/+52
| | | | | | | (From OE-Core rev: 5eed81039f33b846303a2032afcf832709b18210) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: remove Qt 4.6.3Paul Eggleton2011-05-1815-600/+0
| | | | | | | | | We should only have one version of Qt4 supported in oe-core. (From OE-Core rev: 95f348d81353ea105493d0cc360d63b6b7264ce5) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: split out SQL driver config flags to QT_SQL_DRIVER_FLAGSPaul Eggleton2011-05-161-1/+3
| | | | | | | | | | This allows meta-oe to override these options easily in order to enable more SQL driver plugins. (From OE-Core rev: 7f12a24771bca786095f823aeb2d322c52c266d2) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: update from 4.7.2 to 4.7.3Paul Eggleton2011-05-1610-13/+12
| | | | | | | | | | | The Comodo certificates patch has been merged upstream so it no longer needs to be applied. Some PR values were reset and SRC_URI checksums updated but other than this there are no recipe changes. (From OE-Core rev: 57b3cbf2b7b8a716481cb3efb68b7e4c08af6703) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4-tools-nativesdk: -arch is required for nativesdk buildIlya Yanok2011-05-131-0/+3
| | | | | | | | | | We need to pass correct -arch option to configure to fix building in case of SDK_ARCH != BUILD_ARCH. (From OE-Core rev: af22757737f3b5e2d58eba8c5e01176ac26592c5) Signed-off-by: Ilya Yanok <yanok@emcraft.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* toolchain-qte: include cross-compiler and fix env scriptIlya Yanok2011-05-101-16/+17
| | | | | | | | | | | | This patch fixes the meta-toolchain-qte recipe: 1. cross-compiler added to the TOOLCHAIN_HOST_TASK. 2. Corrected paths in the environment script. 3. TOOLCHAIN_OUTPUTNAME used instead of SDK_SUFFIX. (From OE-Core rev: 2b4971128a66eb0efdc8663018710383041c0e11) Signed-off-by: Ilya Yanok <yanok@emcraft.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Remove machine-specific metadata for machines no longer in oe-corePaul Eggleton2011-05-051-3/+1
| | | | | | | (From OE-Core rev: 72567733033347b662d9baa07432985fd2da3efa) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Rename poky-lsb override to linuxstdbaseRichard Purdie2011-04-201-1/+1
| | | | | | (From OE-Core rev: 73a227a738da17229baac142ccd889c7929402ba) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Rename poky-image-* -> core-image-* and task-poky-* -> task-core-*Richard Purdie2011-04-202-5/+5
| | | | | | (From OE-Core rev: 560b04181d8f51d189b99f01a72f17210dadf7a3) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Replace POKYBASE with COREBASERichard Purdie2011-04-202-4/+4
| | | | | | (From OE-Core rev: 607a7657715f6fcba467a4e55ba64f41f4e13a15) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4-x11-free: add virtual/libgl for opengl dependencySaul Wold2011-04-121-2/+2
| | | | | | | (From OE-Core rev: e718a775409938af51c1f06d2574435cbf978188) Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qmmp: update to version 0.5.0Saul Wold2011-04-081-2/+2
| | | | | | | (From OE-Core rev: fd1a77df8e80b52fb7158a08cf66fd3638b81556) Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: security advisory - blacklist fraudulent comodo certificatesDenys Dmytriyenko2011-04-067-4/+140
| | | | | | | | | | | | | | | Security advisory: Blacklist fraudulent certificates. More info is in the patch and at the following links: http://www.comodo.com/Comodo-Fraud-Incident-2011-03-23.html http://qt.nokia.com/files/qt-patches/blacklist-fraudulent-comodo-certificates-patch.diff/view (Imported from OE rev 61eeeec1224c4f974f9185c2b93eeb19d13938af) (From OE-Core rev: 14419f4a4bc629b171281d46750c6abfa84bf83b) Signed-off-by: Denys Dmytriyenko <denys@ti.com> Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: replace 4.7.1 with version 4.7.2Paul Eggleton2011-04-0610-12/+12
| | | | | | | | | | | | | | | Qt 4.7.2 is a bugfix release for the 4.7 series - more details here: http://qt.nokia.com/developer/changes/changes-4.7.2/ This was prompted by the equivalent change in OE, however the change was redone by hand. There are no changes to the recipes themselves other than updating SRC_URI checksums and resetting PR. (From OE-Core rev: e8a3686ec108f6095bafa5b601c9f763bc39c123) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qemuppc: add libqtopengl4 for ppcMei Lei2011-04-041-0/+1
| | | | | | | | | | Modify some configs for ppc to enable the libqtopengl4 support. This fixes [YOCTO #848] (From OE-Core rev: cc6763b81fafddcb112a6126373c594e3ec4b140) Signed-off-by: Mei Lei <lei.mei@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* Update SRC_URIs to use BPN instead of PNRichard Purdie2011-03-141-1/+1
| | | | | | | | [YOCTO #860] (From OE-Core rev: 09ed5de9624be38c0fa5cb3f943691c3b4a50686) Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: set RRECOMMENDS correctly for qt4 demos and examples packagesPaul Eggleton2011-02-011-0/+10
| | | | | | | | | | | The demos and examples require a few optional plugins to operate correctly (e.g. SQLite and JPEG support). The demos package requires the documentation package to show descriptions for each demo/example, and assistant to show the documentation. Fixes [BUGID #492] and [BUGID #452]. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* meta-toolchain-qte: Append to the toolchain env script and remove code ↵Richard Purdie2011-02-011-7/+1
| | | | | | duplication Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qt4: Add meta-toolchain-qte and dependent tasks from OpenEmbeddedPaul Eggleton2011-02-013-0/+74
| | | | | | | | | | | | | | | | | | | | | | | Differences from OE versions: task-qte-toolchain-target.bb: * Depend on task-poky-standalone-sdk-target instead of task-sdk-bare * Add LIC_FILES_CHKSUM * Correct libsqlite3-dev dependency for Poky * Remove dependency on libts-dev * Remove QtDeclarative as it does not build for 4.6.3. (This will need to be addressed in a future update.) task-qte-toolchain-host.bb * Fix for Poky directory structure * qt4-tools-sdk -> qt4-tools-nativesdk meta-toolchain-qte: * Fix for Poky directory structure * Use "tar --owner=root" instead of fakeroot * Remove angstrom-specific suffix Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qt4: Add qt4-tools-nativesdk based on qt4-tools-sdk from OpenEmbeddedPaul Eggleton2011-02-017-0/+188
| | | | | | | | | | | | | Differences from OpenEmbedded qt4-tools-sdk: * Convert to nativesdk and make fixes necessary to build * Use .inc file in 4.6.3 version * Add LIC_FILES_CHKSUM * Fix LICENSE to match other Qt4 recipes * Use http source URL to match other Qt4 recipes * Whitespace fixes Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qt4-tools-native: update from OpenEmbeddedPaul Eggleton2011-02-013-10/+31
| | | | | | | | | | | | | | | | | | | Differences from OE version: * Add source checksums * Correct LICENCE and move to .inc file * Update HOMEPAGE * Don't specify DEFAULT_PREFERENCE * Remove S and SRC_URI from 4.7.1 (duplicates of .inc file values) * Use http source URL to match other Qt4 recipes * Don't add back tools previously disabled in poky Differences from current (plus the above): * Add Qt 4.7.1 recipe * Specify -embedded to remove dependency on X (as we are only building tools) * Disable some other options to reduce dependencies * Specify -no-freetype / -no-fontconfig in .inc file rather than in .bb * Use INC_PR * Whitespace fixes
* qt4: add 4.7.1 version from meta-openembeddedPaul Eggleton2011-02-017-0/+269
| | | | | | | | | | | | | Differences from meta-openembedded version: * Change the order of includes so that embedded/x11 overrides take precedence * Move contents of do_install_append from qt-${PV}.inc to do_install in qt4.inc as this is the same for 4.6.3 and 4.7.1 and gets in the way of do_install_append in qt-embedded.inc. * Don't add qte.sh to SRC_URI in qt-4.7.1.inc (this is embedded-specific) * Don't specify DEFAULT_PREFERENCE * Use http source URL to match other Qt4 recipes Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qt4: add qt4-embedded 4.6.3 from meta-openembeddedPaul Eggleton2011-02-014-0/+136
| | | | | | | | | | | | | | | Changes from the meta-openembedded version: * Change the order of includes so that embedded takes precedence (ensuring SRC_URI additions from qt-embedded.inc work) * Specify -embedded in qt-embedded.inc * Remove SRC_URI and S which should come from qt-${PV}.inc * Remove QT_DIR_NAME and QT_LIBINFIX as these come from qt4e.bbclass * Correct LICENSE * Set DESCRIPTION instead of SUMMARY as SUMMARY will inherit by default * Add qthelp-lib-qtclucene.patch (required to build) * Whitespace fixes Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qt4: Bring in improvements from meta-openembeddedPaul Eggleton2011-02-015-56/+69
| | | | | | | | | | | | | | | | | | | | | | | | | Differences from meta-openembedded version: * SRC_URI and S now come from qt-${PV}.inc since these are version specific * Source checksums are also now in qt-${PV}.inc * Remove do_compile as this is handled in qt-${PV}.inc * Move contents of do_install_append from qt-${PV}.inc to do_install in qt4.inc as this is the same for 4.6.3 and 4.7.1 and will get in the way of do_install_append in qt-embedded.inc. * Don't enable PostgreSQL, MySQL or SQLite 2.x plugins as we don't currently have recipes for these DBMSs in Poky. These can be re-enabled easily when or if we do. * Use INC_PR in qt4-x11-free_4.6.3.bb * Don't always specify -embedded config option in qt4.inc * Don't add qte.sh to SRC_URI in qt-4.6.3.inc (this is embedded-specific) Differences from what we have currently in Poky (plus the above): * Set DESCRIPTION based on embedded/X11 * Move out arch-specific settings to qt4-arch.inc * Add qt4x11.bbclass which can be inherited by application recipes to select the X11 version (this makes more sense once the embedded version is added). * Update HOMEPAGE Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* qt4: Enable accessibility and sm option for LSB.Jingdong Lu2011-01-202-4/+8
| | | | | | LSB library checks will look for some symbols of qt4 libraries. Enable "accessibility" and "sm" in order to pass the LSB test. Signed-off-by: Jingdong Lu<jingdong.lu@windriver.com>
* qt: add fotowall back into qt taskSaul Wold2010-12-301-3/+3
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* qmmp: Update qmmp to 0.4.1Saul Wold2010-12-301-2/+5
| | | | Signed-off-by: Saul Wold <sgw@linux.intel.com>
* RDEPENDS, RRECOMMENDS -> RDPEPENDS_${PN}, RRECOMMENDS_${PN}Koen Kooi2010-12-301-0/+2
| | | | | | | For these recipes the dependencies listed in RDEPENDS and RRECOMMENDS only apply to ${PN} Signed-off-by: Koen Kooi <koen@dominion.thruhere.net> Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
* qmmp: fix dependencies and packagingPaul Eggleton2010-12-231-23/+31
| | | | | | | | | * Don't drag in all of Qt as runtime dependencies * Use cmake instead of qmake. This ensures plugins are configured correctly. * Split out vorbis and mad input plugins into separate packages * Fix main package to include an output plugin and various other base files. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* quicky: fix Qt4 runtime dependenciesPaul Eggleton2010-12-231-1/+0
| | | | | | Avoid dragging in all of Qt4 Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>